library(gnlm)

f2 <- c(22,18,19,13,5,6,3,2,2,1,0,1,0,0,0,1,1,1,3,1,1,0,0,0)
y2 <- seq(1,24)
print(z2 <- fit.dist(y2,f2,"exponential"))
print(z2a <- fit.dist(y2,f2,"inverse Gauss"))
print(z2b <- fit.dist(y2,f2,"gamma",exact=F))
print(z2bb <- fit.dist(y2,f2,"gamma"))

f3 <- c(30,28,31,14,10,6,5,2,3,0,0,1,1,0,0,1,1,0,2,0,3,1,1,0)
y3 <- seq(1,24)
print(z3 <- fit.dist(y3,f3,"exponential"))
print(z3a <- fit.dist(y3,f3,"inverse Gauss"))
print(z3b <- fit.dist(y3,f3,"gamma",exact=F))
print(z3bb <- fit.dist(y3,f3,"gamma"))

f4 <- f2+f3
y4 <- seq(1,24)
if(interactive()){
postscript("e4-13.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
}
print(z4 <- fit.dist(y4,f4,"exponential",plot=interactive(),
	xlab="Quarters",main="",bty="L"))
print(z4a <- fit.dist(y4,f4,"inverse Gauss",plot=interactive(),add=T,lty=3))
if(interactive()){
dev.off()
}
print(z4b <- fit.dist(y4,f4,"log normal"))
print(z4c <- fit.dist(y4,f4,"gamma",exact=F))
print(z4d <- fit.dist(y4,f4,"Weibull",exact=F))
print(z4cc <- fit.dist(y4,f4,"gamma"))
print(z4dd <- fit.dist(y4,f4,"Weibull"))

cat("Exponential deviance =",dev <- -2*sum(f4*log(z4$pi.tilde)
	-f2*log(z2$pi.tilde)-f3*log(z3$pi.tilde)),"\n")
cat("Inverse Gauss deviance =",dev <- -2*sum(f4*log(z4a$pi.tilde)
	-f2*log(z2a$pi.tilde)-f3*log(z3a$pi.tilde)),"\n")
