library(event)

risk1 <- c(110,100,86,72,61,54,42,33,28,24)
death1 <- c(5,7,7,3,0,2,3,0,0,1)
pii1 <- death1/risk1
bs1 <- exp(cumsum(log(1-pii1)))
ps1 <- exp(cumsum(-pii1))
print(data.frame(pii1,bs1,ps1))

risk2 <- c(234,207,169,129,105,85,73,62,49,34)
death2 <- c(24,27,31,17,7,6,5,3,2,4)
pii2 <- death2/risk2
bs2 <- exp(cumsum(log(1-pii2)))
ps2 <- exp(cumsum(-pii2))
print(data.frame(pii2,bs2,ps2))

censor <- c(1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,0)
times <- c(1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11)
freq1 <- c(5,5,7,7,7,7,3,8,0,7,2,10,3,6,0,5,0,4,1,8,15)
freq2 <- c(24,3,27,11,31,9,17,7,7,13,6,6,5,6,3,10,2,13,4,6,24)
print(km1 <- km(times,censor,freq=freq1))
print(km2 <- km(times,censor,freq=freq2))

if(interactive()){
postscript("e6-4.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(km1,xlab="Years",main="",bty="L")
plot(km2,add=T,lty=3)
dev.off()
}

cens1 <- c(5,7,7,8,7,10,6,5,4,8)
cens2 <- c(3,11,9,7,13,6,6,10,13,6)
cens <- c(cens1,cens2)
risk <- c(110,100,86,72,61,54,42,33,28,24,234,207,169,129,105,85,73,62,49,34)
y <- cbind(cens,risk-cens)
yr <- gl(10,1,20)
stage <- gl(2,10,20)
print(summary(z <- glm(y~yr,family=binomial),correlation=F))
print(summary(z <- glm(y~yr+stage,family=binomial),correlation=F))
print(summary(z <- glm(y~yr*stage,family=binomial),correlation=F))
