options(contrasts = c("contr.sum", "contr.poly"))

y <- matrix(c(5,6,12,5),ncol=2)
sex <- gl(2,1)
summary(glm(y~1,family=binomial))
summary(glm(y~sex,family=binomial))

options(contrasts = c("contr.treatment", "contr.poly"))
summary(glm(y~1,family=binomial))
summary(glm(y~sex,family=binomial))

if(interactive()){
postscript("fig2-1.eps",height=4,width=5)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1,1,type="n",bty="L",xlim=c(0,7),ylim=0:1,xaxt="n",xlab="",
	ylab="Probability")
rect(1:2,0,2:3,c(5/17,12/17), border = par("fg"))
rect(4:5,0,5:6,c(6/11,5/11), border = par("fg"))
axis(1,0.5:6.5,c("","Yes","No","","Yes","No",""))
text(2,0.8,"Male")
text(5,0.6,"Female")
dev.off()
}
