options(contrasts = c("contr.sum", "contr.poly"))

y <- matrix(c(3,5,14,2,2,7,25,5),ncol=2)
village <- gl(4,1)
summary(glm(y~1,family=binomial))
summary(glm(y~village,family=binomial))

options(contrasts = c("contr.treatment", "contr.poly"))
summary(glm(y~1,family=binomial))
summary(glm(y~village,family=binomial))

if(interactive()){
postscript("fig2-2.eps",height=4,width=5)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(1,1,type="n",bty="L",xlim=c(0,13),ylim=0:1,xaxt="n",xlab="",
	ylab="Probability")
rect(1:2,0,2:3,c(3/5,2/5), border = par("fg"))
rect(4:5,0,5:6,c(5/12,7/12), border = par("fg"))
rect(7:8,0,8:9,c(14/39,25/39), border = par("fg"))
rect(10:11,0,11:12,c(2/7,5/7), border = par("fg"))
axis(1,0.5:12.5,c("","Yes","No","","Yes","No","","Yes","No","","Yes","No",""))
text(2,0.7,"IA")
text(5,0.7,"IB")
text(8,0.8,"II")
text(11,0.8,"III")
dev.off()
}
