if(interactive()){
postscript("fig2-4.eps",height=4,width=5)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
x <- seq(0,100,by=2)
plot(x,exp(-5+0.1*x)/(1+exp(-5+0.1*x)),type="l",bty="L",
	xlim=c(0,100),ylim=0:1,xlab="x",ylab=expression(pi))
lines(c(0,100),c(1,1))
dev.off()

y <- matrix(c(17066,14464,788,126,37,48,38,5,1,1,),ncol=2)
drinks <- c(0,0.5,1.5,4,7)

summary(glm(y~1,family=binomial))
summary(z <- glm(y~drinks,family=binomial))

print(y[,1]/(y[,1]+y[,2]))
z$fit

if(interactive()){
postscript("fig2-5.eps",height=4,width=5)
par(font.main=1,mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
x <- seq(0,7,by=0.1)
plot(drinks,y[,1]/(y[,1]+y[,2]),bty="L",xlim=c(0,8),ylim=c(0.96,1),pch=4,
	xlab="Drinks per day",ylab=expression(pi))
lines(x,exp(z$coef[1]+z$coef[2]*x)/(1+exp(z$coef[1]+z$coef[2]*x)))
legend(5,1,legend=c("Observed","Model"),pch=c(4,-1),lty=c(0,1),bty="n")
dev.off()
