if(interactive()){
postscript("fig5-1.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
x <- 1:10
y <- c(2+3*x+rnorm(10,0,3),2+3*x+rnorm(10,0,3))
x <- c(x,x)
z <- lm(y~x)
n <- dnorm(seq(-6,6,by=0.5),0,sqrt(sum(z$resi^2)/18))
plot(x,y,pch=20,ylim=c(0,40),xlim=c(1,11),xlab=expression(x),
	ylab=expression(y),bty="L",xaxt="n",yaxt="n")
lines(c(1,10),c(z$coef[1]+z$coef[2],z$coef[1]+10*z$coef[2]))
plotn <- function(a) {
	lines(10*n+a,z$coef[1]+a*z$coef[2]+seq(-6,6,by=0.5))
	lines(rep(a,25),z$coef[1]+a*z$coef[2]+seq(-6,6,by=0.5))}
plotn(1.5)
plotn(3.5)
plotn(5.5)
plotn(7.5)
plotn(9.5)
dev.off()
}

before <- c(64,71,64,69,76,53,52,72,79,68)
after <- c(61,72,63,67,72,49,54,72,74,66)
summary(z <- lm(after~before))

print(sig2 <- sum(z$res^2)/10)
10*log(sig2)+2*3
10*log((var(after)*9/10)/sig2)
10*log(var(after)*9/10)+2*2
b0 <- mean(after)-mean(before)
print(sig02 <- sum((after-b0-before)^2)/10)
10*log(sig02/sig2)
10*log(sig02)+2*2
abs(z$coef[2]-1)*sqrt(var(before)*9)/sqrt(sig2*10/8)

if(interactive()){
postscript("fig5-2.eps",height=4,width=5)
par(mar=c(3.5,3.5,3,1),mgp=c(2.5,1,0))
plot(before,after,pch=4,xlim=c(40,80),ylim=c(40,80),bty="L",
	xlab="Weight before diet",ylab="Weight after diet")
abline(z)
dev.off()
}
